System.Design 2.0.0.0

The class is implemented by design hosts, such as vsprvslong, that host the data-binding dialog box to show schema.

Provides an interface for design-time access to a schema provider in a design host.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the provider can refresh the schema.

- Method
  2.0.0.0
  System.Void ``

  The method is called by the design host only if the property is true.

  Refreshes the schema for the data source.

  true to disable data-binding events until after the schema has been refreshed; false to enable the events.
- Property
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema To be added. To be added.

  Gets the current schema object for the designer.